Articles of éclipse

Android Emulator: sélectionnez AVD (Android Virtual Device) pour exécuter par défaut

J’ai ajouté un deuxième périphérique virtuel pour tester une résolution d’écran différente (QVGA), mais je souhaite maintenant revenir au premier AVD (HVGA). Comment configurer le périphérique virtuel dans Eclipse pour qu’il soit utilisé par défaut ou même spécifiquement pour mon projet? Dans les propriétés, je ne peux définir que le niveau de l’API. Je n’ai […]

Java Eclipse: différence entre l’exportation en tant que fichier JAR et l’exportation en tant que fichier JAR runable

Quelle est la différence entre l’éclipse entre l’exportation en tant que fichier JAR et l’exportation en tant que fichier JAR Runnable? Ne sont-ils pas tous deux exploitables? Quels sont les avantages / inconvénients de chacun?

Eclipse comment lier un jar contenant javadocs / source avec son binary?

Je voudrais que les commentaires de javadoc contenus dans un fichier jar soient affichés en éclipse lorsque je survole une classe. Par exemple, après avoir téléchargé JODA-2.0, trois bocaux sont obtenus: joda-time-2.0 joda-time-2.0-javadoc joda-time-2.0-sources ( http://sourceforge.net/projects/joda-time/files/joda-time/2.0/joda-time-2.0-dist.zip/download ) Dans éclipse, [clic droit sur le projet -> Propriétés -> Java Build Path -> Bibliothèques -> ADD JARs […]

classe javac1.8 introuvable

J’ai installé deux jdks – jdk 1.5 et jdk 1.8. J’ai suivi Ant build.xml fichier de configuration: Avant d’installer jdk1.8, Ant invoqué depuis Eclipse compilait toutes les sources avec succès. Mais maintenant, j’ai le message d’erreur suivant: Classe non trouvé: javac1.8 Mes JAVA_HOME et JRE_HOME: JAVA_HOME = C: \ Program Files (x86) \ Java \ […]

Erreur d’installation: INSTALL_FAILED_OLDER_SDK

Je suis nouveau sur le développement Android et je veux d’abord que l’application Hello World lancée. J’utilise Eclipse IDE et le SDK Android 4.0.3 version 15. J’ai tout copié à partir d’un site de tutoriel, mais lorsque j’essaie d’exécuter l’application sur le virtual device j’obtiens cette erreur: [2012-02-01 11:31:23 – Android_test] Installation error: INSTALL_FAILED_OLDER_SDK [2012-02-01 […]

autocomplete a cessé de travailler avec Android SDK

Pour une raison quelconque, l’auto-complétion ne fonctionne plus. Par exemple, lorsque vous écrivez du code à l’aide de la classe bitmap Android, lorsque j’utilise l’opérateur point, éclipse suggère des méthodes pour cette instance d’object. Comment réactiver cette fonctionnalité? merci mat.

Définition du JDK dans Eclipse

J’ai deux JDK pour Java 6 et 7. Je veux construire mon projet en utilisant les deux. Au départ, nous n’avons construit que contre 1,6. Je vois dans le paramétrage de mon projet que je peux sélectionner 1.5, 1.6 1.7 comme niveau de compilation. Comment ces options sont-elles ajoutées à l’EDI? Je n’ai jamais installé […]

DDMS Android eclipse – Impossible d’accéder aux données / données / sur le téléphone pour extraire des fichiers

En testant mes applications, j’utilise des émulateurs et mon propre téléphone pour voir si tout fonctionne correctement. Mes applications écrivent également des données dans les préférences partagées et un fichier texte. Je peux extraire les données de mes émulateurs via le DDMS dans éclipse afin que je puisse lire les fichiers de données sur mon […]

Comment cloner un espace de travail Eclipse

Je me demande comment créer un nouvel espace de travail propre à Eclipse, mais avec tous les parameters existants. Peut-être quelque chose comme le clonage mais sans projets?

Afficher les tabs Eclipse sur plusieurs lignes

J’utilise eclipse galileo. Est-il possible d’afficher les tabs de mes fichiers ouverts sur plusieurs lignes au lieu d’utiliser le signe >> . Je veux quand même une fenêtre unique pour voir le code. S’il n’y a pas de tels parameters, existe-t-il un plugin?